import httpRequest from '@/utils/axios'

// 添加触达
export function createReachScheme(data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.post('/api/opera/v2/training/reach-scheme', data, { headers })
}

// 触达详情
export function reachScheme(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get(`/api/opera/v2/training/${id}/reach-scheme`, { params }, { headers })
}

// 删除用户群触达
export function deleteReachScheme(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.delete(`/api/opera/v2/training/${id}/reach-scheme`, { params }, { headers })
}

// 删除触达
export function updateReachScheme(id, data = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.put(`/api/opera/v2/training/${id}/reach-scheme`, data, { headers })
}

// 触达列表
export function reachSchemeList(params) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get('/api/opera/v2/training/reach-schemes', { params }, { headers })
}
