import httpRequest from '@/utils/axios'

// 添加用户使用配置
export function createUserUseConfig(data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.post('/api/opera/v2/training/user-use-config', data, { headers })
}

// 用户使用配置
export function userUseConfig(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get(`/api/opera/v2/training/${id}/user-use-config`, { params }, { headers })
}

// 删除用户使用配置
export function deleteUserUseConfig(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.delete(`/api/opera/v2/training/${id}/user-use-config`, { params }, { headers })
}

// 更新用户使用配置
export function updateUserUseConfig(id, data = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.put(`/api/opera/v2/training/${id}/user-use-config`, data, { headers })
}

// 用户使用配置列表
export function userUseConfigList(params) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get('/api/opera/v2/training/user-use-configs', { params }, { headers })
}
