module.exports = {
  domain: 'dev.ezijing.com',
  url: 'https://test-microservices-x-operation-admin.ezijing.com/api',
  isEnableToIphoneDebugger: false,
  // apiBaseURL: '//demo-login.ezijing.com/',
  webpack: {
    externals: {
      'CKEDITOR': 'window.CKEDITOR',
      'Base64': 'window.Base64',
      'md5': 'window.md5',
      'regeneratorRuntime': 'window.regeneratorRuntime'
    },
    devServer: {
      proxy: {
        /* 多个代理 */
        '/api/opera/': {
          target: 'https://test-microservices-x-operation-admin.ezijing.com',
          selfHandleResponse: false,
          // selfHandleResponse: true, // 自定义 响应结构
          secure: false, // 如果是https接口，需要配置这个参数
          changeOrigin: true, // 如果接口跨域，需要进行这个参数配置
          followRedirects: true, // 由于重定向307，所以跟随重定向直接返回一个接口
          logLevel: 'info', // 日志打印级别
          // headers: {
          //   'Referer': $GLOBAL.webConf.url
          // },
          //   pathRewrite: {
          //     '^/api': '/' // 需要rewrite重写的
          //   }
        }
      }
    }
  },
  ProvidePlugin: {

  },
  others: {
    loginUrl: 'https://login2.ezijing.com/'
  }
}
